/* Y o u r   D e s c r i p t i o n                       */
/*                            AppBuilder Photon Code Lib */
/*                                         Version 0.80B */

/* Standard headers */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>

/* Toolkit headers */
#include <Ph.h>
#include <Pt.h>
#include <Ap.h>

/* Local headers */
#include "abimport.h"
#include "globals.h"
#include "proto.h"

void
exit_app( PtWidget_t *widget, ApInfo_t *apinfo, PtCallbackInfo_t *cbinfo )

	{

	/* eliminate 'unreferenced' warnings */
	widget = widget, apinfo = apinfo, cbinfo = cbinfo;

	switch ( PtAskQuestion( widget, NULL, "Do you really want to quit SlideViewer?", "helv14.phf", "&Yes", "&No", NULL, 1 ) ) {
		
		case 2:
			return;

		}

	PgShmemDestroy( sh_image );

	exit( EXIT_SUCCESS );

	}

