/* Global definition header - used for definition and externals */

#include <Ph.h>
#include <Pt.h>
#include <Ap.h>

#ifdef DEFINE_GLOBALS

#define PX_IMAGE_MODULES
#define PX_GIF_SUPPORT
#define PX_PCX_SUPPORT
#define PX_JPG_SUPPORT
#define PX_BMP_SUPPORT
#define PX_TGA_SUPPORT
#define PX_PNG_SUPPORT
#define PX_TIFF_SUPPORT

#define GLOBAL
#define INIT(x) = x

#else

#define GLOBAL extern
#define INIT(x)

#endif

#include <photon/PxImage.h>

/* slideviewer variables */
GLOBAL PhImage_t			**images;
GLOBAL char					**slides;
GLOBAL char					**pals;
GLOBAL int					slide_ctr;
GLOBAL int					slide_curr		INIT(  -1 );
GLOBAL int					scroll_inc 		INIT( 768 );
GLOBAL PhGC_t				*gc, *old_gc;
GLOBAL PtWidget_t			*raw_wgt;
GLOBAL char					slide_path[PATH_MAX];
GLOBAL char					*sh_image;
GLOBAL char					*default_pal 	INIT( "/usr/photon/palette/default.pal" );
GLOBAL int					first_time;
GLOBAL char					force_expose;
GLOBAL PgColor_t			prev_pal[256];
GLOBAL int					slide_shared	INIT( 1 );
