/* Y o u r   D e s c r i p t i o n                       */
/*                            AppBuilder Photon Code Lib */
/*                                         Version 0.80B */

/* Standard headers */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>

/* Toolkit headers */
#include <Ph.h>
#include <Pt.h>
#include <Ap.h>

#define DEFINE_GLOBALS

/* Local headers */
#include "abimport.h"
#include "globals.h"
#include "proto.h"

int
initialize( int argc, char *argv[] )

	{
	int		c;

	/* command line args */
	opterr = 0;
	while( ( c = getopt( argc, argv, "ld" ) ) != -1 ) {
		switch( c ) {
			case 'S':
				slide_shared = 0;
				break;
			}
		}

	strcpy( slide_path, "/slides" );

	if ( NULL == ( sh_image = PgShmemCreate( 1024 * 768, NULL ) ) ) {
		printf( "SlideViewer: Unable to allocate shared memory\n" );
		exit( EXIT_FAILURE );
		}

	/* initialize prev_pal */
	memset( prev_pal, 0x00, 256 );

	return( Pt_CONTINUE );

	}

